Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class GenericDocument

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractDocument
                  org.apache.batik.dom.GenericDocument

All Implemented Interfaces:
  Serializable, NodeEventTarget, ExtendedNode, NodeXBL, XBLManagerData, Localizable, Document, DocumentEvent, EventTarget, Node, DocumentTraversal, org.w3c.dom.xpath.XPathEvaluator

    public class GenericDocument

extends AbstractDocument

This class implements the `Document`, `DocumentEvent`.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.batik.dom.AbstractDocument
`AbstractDocument.DocumentConfiguration, AbstractDocument.DocumentError, AbstractDocument.IdSoftRef, AbstractDocument.XPathExpr, AbstractDocument.XPathNodeNSResolver`

Nested classes/interfaces inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected static String` | `ATTR_ID` Local name for 'id' attributes.
`protected boolean` | `readonly` Is this document immutable?

Fields inherited from class org.apache.batik.dom.AbstractDocument
`documentEventSupport, documentURI, domConfig, elementsById, elementsByTagNames, elementsByTagNamesNS, eventsEnabled, implementation, inputEncoding, localizableSupport, RESOURCES, strictErrorChecking, traversalSupport, xblManager, xmlEncoding, xmlStandalone, xmlVersion`

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, EMPTY_NODE_LIST, eventSupport, managerData, ownerDocument, userData, userDataHandlers`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `GenericDocument()` Creates a new uninitialized document.
`` | `GenericDocument(DocumentType dt, DOMImplementation impl)` Creates a new uninitialized document.

Method Summary
`Attr` | `createAttribute(String name)` DOM: Implements `Document.createAttribute(String)`.
`Attr` | `createAttributeNS(String namespaceURI, String qualifiedName)` DOM: Implements `Document.createAttributeNS(String,String)`.
`CDATASection` | `createCDATASection(String data)` DOM: Implements `Document.createCDATASection(String)`.
`Comment` | `createComment(String data)` DOM: Implements `Document.createComment(String)`.
`DocumentFragment` | `createDocumentFragment()` DOM: Implements `Document.createDocumentFragment()`.
`Element` | `createElement(String tagName)` DOM: Implements `Document.createElement(String)`.
`Element` | `createElementNS(String namespaceURI, String qualifiedName)` DOM: Implements `Document.createElementNS(String,String)`.
`EntityReference` | `createEntityReference(String name)` DOM: Implements `Document.createEntityReference(String)`.
`ProcessingInstruction` | `createProcessingInstruction(String target, String data)` DOM: Implements `Document.createProcessingInstruction(String,String)`.
`Text` | `createTextNode(String data)` DOM: Implements `Document.createTextNode(String)`.
`boolean` | `isId(Attr node)` Returns true if the given Attr node represents an 'id' for this document.
`boolean` | `isReadonly()` Tests whether this node is readonly.
`protected Node` | `newNode()` Returns a new uninitialized instance of this object's class.
`void` | `setReadonly(boolean v)` Sets this node readonly attribute.

Methods inherited from class org.apache.batik.dom.AbstractDocument
`addIdEntry, adoptNode, adoptNode1, canDispatch, checkChars, checkChildType, checkName, cloneNode, copyInto, createDOMError, createEvent, createExpression, createNodeIterator, createNSResolver, createTreeWalker, createXPathException, deepCopyInto, deepExport, detachNodeIterator, evaluate, export, formatMessage, getChildElementById, getCurrentDocument, getDoctype, getDocumentElement, getDocumentURI, getDomConfig, getElementById, getElementsByTagName, getElementsByTagNameNS, getEventsEnabled, getImplementation, getInputEncoding, getLocale, getNodeName, getNodeType, getRoot, getStrictErrorChecking, getXblBoundElement, getXblChildNodes, getXblDefinitions, getXblFirstChild, getXblFirstElementChild, getXblLastChild, getXblLastElementChild, getXBLManager, getXblNextElementSibling, getXblNextSibling, getXblParentNode, getXblPreviousElementSibling, getXblPreviousSibling, getXblScopedChildNodes, getXblShadowTree, getXmlEncoding, getXmlStandalone, getXmlVersion, importNode, importNode, nodeToBeRemoved, normalizeDocument, normalizeDocument, putElementsByTagName, putElementsByTagNameNS, removeIdEntry, renameNode, setDoctype, setDocumentInputEncoding, setDocumentURI, setDocumentXmlEncoding, setEventsEnabled, setLocale, setStrictErrorChecking, setTextContent, setXBLManager, setXmlStandalone, setXmlVersion, splitCdata, updateIdEntry`

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, deepExport, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, getTextContent, hasChildNodes, insertBefore, nodeAdded, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, addEventListenerNS, compareDocumentPosition, compareNamedNodeMaps, compareStrings, createDOMException, dispatchEvent, export, fireDOMCharacterDataModifiedEvent, fireUserDataHandlers, getAttributes, getBaseURI, getBaseURI, getCascadedXMLBase, getEventSupport, getFeature, getLocalName, getManagerData, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getParentNodeEventTarget, getPrefix, getPreviousSibling, getUserData, hasAttributes, hasEventListenerNS, initializeEventSupport, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, lookupPrefix, removeEventListener, removeEventListenerNS, setManagerData, setNextSibling, setNodeName, setNodeValue, setOwnerDocument, setParentNode, setPrefix, setPreviousSibling, setSpecified, setUserData, willTriggerNS`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Document
`getElementsByTagName, getElementsByTagNameNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setUserData`

Field Detail

### ATTR_ID

    protected static final String ATTR_ID

  Local name for 'id' attributes.

  See Also:
    Constant Field Values

### readonly

    protected boolean readonly

  Is this document immutable?

Constructor Detail

### GenericDocument

    protected GenericDocument()

  Creates a new uninitialized document.

### GenericDocument

    public GenericDocument(DocumentType dt,
                           DOMImplementation impl)

  Creates a new uninitialized document.

Method Detail

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

### isId

    public boolean isId(Attr node)

  Returns true if the given Attr node represents an 'id' for this document.

  Specified by:
    `isId` in class `AbstractDocument`

### createElement

    public Element createElement(String tagName)
                          throws DOMException

  DOM: Implements `Document.createElement(String)`.

  Throws:
    `DOMException`

### createDocumentFragment

    public DocumentFragment createDocumentFragment()

  DOM: Implements `Document.createDocumentFragment()`.

### createTextNode

    public Text createTextNode(String data)

  DOM: Implements `Document.createTextNode(String)`.

### createComment

    public Comment createComment(String data)

  DOM: Implements `Document.createComment(String)`.

### createCDATASection

    public CDATASection createCDATASection(String data)
                                    throws DOMException

  DOM: Implements `Document.createCDATASection(String)`.

  Throws:
    `DOMException`

### createProcessingInstruction

    public ProcessingInstruction createProcessingInstruction(String target,
                                                             String data)
                                                      throws DOMException

  DOM: Implements `Document.createProcessingInstruction(String,String)`.

  Returns:
    a `StyleSheetProcessingInstruction` if target is "xml-stylesheet" or a GenericProcessingInstruction otherwise.
  Throws:
    `DOMException`

### createAttribute

    public Attr createAttribute(String name)
                         throws DOMException

  DOM: Implements `Document.createAttribute(String)`.

  Throws:
    `DOMException`

### createEntityReference

    public EntityReference createEntityReference(String name)
                                          throws DOMException

  DOM: Implements `Document.createEntityReference(String)`.

  Throws:
    `DOMException`

### createElementNS

    public Element createElementNS(String namespaceURI,
                                   String qualifiedName)
                            throws DOMException

  DOM: Implements `Document.createElementNS(String,String)`.

  Throws:
    `DOMException`

### createAttributeNS

    public Attr createAttributeNS(String namespaceURI,
                                  String qualifiedName)
                           throws DOMException

  DOM: Implements `Document.createAttributeNS(String,String)`.

  Throws:
    `DOMException`

### newNode

    protected Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.